Subject: Re: Re[2]: setup testers wanted
From: Robert Collins <[email-masked]>
To: "S. Cowles" <[email-masked]>
Cc: [email-masked]
Date: 02 Nov 2001 12:09:34 +1100

On Fri, 2001-11-02 at 11:44, S. Cowles wrote:
> 
> RC> Is this the same behaviour you see? 
> 
> RC> I suspect from your feedback that this is non-intuitive... If you've got
> RC> any insight into _why_ this confused you (ie the change from the current
> RC> setup, the lack of visual hints or explanation... :]) please speak up.
> 
> RC> If this is not the same behaviour, can you detail how to get the
> RC> behaviour you saw?
> 
> Yes, I think it is confusing.  On the one hand, there is an option under
> the "New" heading for retrieve which then opens a checkbox under the
> "Src" heading.  I assume clicking the checkbox retrieves source only?
> Right now, it appears to retrieve both source and binaries.  My question
> then becomes, what function does the "source" option (under "New")
> provide?

Ok, the way it works is the new column defines what will happen, and the
src? allows the _addition_ of the source to whatever is in the new
column.

new=keep, no action, cannot download source.
new=skip, no action, cannot download source.
new=uninstall, uninstall, cannot download source
new=reinstall, reinstall, source download is optional (checkbox)
new=source, no change to install package, source is downloaded.
new=version number, uninstall current version, install displayed
version, source download is optional.

I think that this needs some fine tuning :}.

How about we get rid of either 'skip' or 'keep' - they are the same
AFAIK.
As for new=source, we _could_ get rid of that and make it happen when
you click on [src], but I'm not sure how easy that is to do right now.
 
Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/